Browse a Sales Navigator list

Returns the leads (kind leads, default) or accounts (kind accounts) saved in a Sales Navigator list of a connected LinkedIn account, page by page (offset pagination).

POST
/v1/messaging/sales-navigator/lists/browse

Authorization

apiKeyAuth
x-api-key<token>

API key authentication. Create an API key in your user profile and include it in the x-api-key header.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://loading/api/v1/messaging/sales-navigator/lists/browse" \  -H "Content-Type: application/json" \  -d '{    "connectedAccountId": "ac03972a-5ca5-43c5-b96f-c519ac843b7a",    "listId": "string"  }'
{
  "data": [
    {
      "id": "string",
      "object": "string",
      "member_id": "string",
      "display_name": "string",
      "name": "string",
      "public_identifier": "string",
      "profile_url": "string",
      "public_picture_url": "string",
      "headline": "string",
      "summary": "string",
      "location": "string",
      "industry": "string",
      "network_distance": "string",
      "can_send_inmail": true,
      "relations_count": 0,
      "shared_relations_count": 0,
      "has_been_saved": true,
      "current_positions": [
        {
          "company": "string",
          "role": "string",
          "company_id": "string",
          "company_url": "string",
          "property1": null,
          "property2": null
        }
      ],
      "work_experience": [
        {
          "company": {
            "name": "string",
            "id": "string",
            "public_identifier": "string",
            "profile_url": "string",
            "property1": null,
            "property2": null
          },
          "job_title": "string",
          "ended_on": "string",
          "property1": null,
          "property2": null
        }
      ],
      "property1": null,
      "property2": null
    }
  ],
  "total_count": 0,
  "next_cursor": "string",
  "property1": null,
  "property2": null
}
"string"
"string"
"string"
"string"